Share via


Serverless Endpoints - List Keys

List EndpointAuthKeys for an Endpoint using Key-based authentication.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.MachineLearningServices/workspaces/{workspaceName}/serverlessEndpoints/{name}/listKeys?api-version=2025-09-01

URI Parameters

Name In Required Type Description
name
path True

string

pattern: ^[a-zA-Z0-9][a-zA-Z0-9\-_]{0,254}$

Serverless Endpoint name.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string

minLength: 1

The ID of the target subscription.

workspaceName
path True

string

pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]{2,32}$

Name of Azure Machine Learning workspace.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

EndpointAuthKeys

Success

Other Status Codes

ErrorResponse

Error

Examples

ListKeys Workspace Serverless Endpoint.

Sample request

POST https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/test-rg/providers/Microsoft.MachineLearningServices/workspaces/my-aml-workspace/serverlessEndpoints/string/listKeys?api-version=2025-09-01

Sample response

{
  "primaryKey": "string",
  "secondaryKey": "string"
}

Definitions

Name Description
EndpointAuthKeys

Keys for endpoint authentication.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

EndpointAuthKeys

Keys for endpoint authentication.

Name Type Description
primaryKey

string

The primary key.

secondaryKey

string

The secondary key.

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.